Bug Hunting Session
Bug 44442 - FILEOPEN soffice.bin crashed with SIGSEGV in ScMatrix::GetDimensions()
Summary: FILEOPEN soffice.bin crashed with SIGSEGV in ScMatrix::GetDimensions()
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.4.4 release
Hardware: x86 (IA32) All
: low critical
Assignee: Not Assigned
URL:
Whiteboard: target:3.5 target:3.4.6
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-04 01:57 UTC by Christopher M. Penalver
Modified: 2012-01-08 10:32 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
prova2.ods (8.61 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-01-04 01:57 UTC, Christopher M. Penalver
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher M. Penalver 2012-01-04 01:57:11 UTC
Created attachment 55106 [details]
prova2.ods

Downstream bug may be found at:
https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/911682

1) lsb_release -rd
Description: Ubuntu 11.10
Release: 11.10

2) apt-cache policy libreoffice-calc
libreoffice-calc:
  Installed: 1:3.4.4-0ubuntu1
  Candidate: 1:3.4.4-0ubuntu1
  Version table:
 *** 1:3.4.4-0ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ oneiric-updates/main i386 Packages
        100 /var/lib/dpkg/status
     1:3.4.3-3ubuntu2 0
        500 http://us.archive.ubuntu.com/ubuntu/ oneiric/main i386 Packages

3) What is expected to happen in LibreOffice Calc via the Terminal:
cd /tmp && wget https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/911682/+attachment/2656863/+files/prova2.ods && localc -nologo prova2.ods

is the file opens successfully.

4) What happens instead is it crashes consistently.

Reproducible in:
LOdev 3.5.0beta2 
Build ID: 8589e48-760cc4d-f39cf3d-1b2857e-60db978
Microsoft Windows Vista Business 6.0.6002 Service Pack 2 Build 6002
Comment 1 Markus Mohrhard 2012-01-04 02:32:47 UTC
Can you try with 3.4.5 RC1 or RC2? I think I pushed a fix for something similar for 3.4.5 and master.
Comment 2 Markus Mohrhard 2012-01-07 18:10:38 UTC
Ok was another but similar bug.

Fixed it in master and 3.5. Will backport the fix to 3-4.
Comment 3 Christopher M. Penalver 2012-01-08 06:04:18 UTC
markus.mohrhard@googlemail.com, thank you for working so quickly on this bug. Could you please provide a commit for the fix?
Comment 4 Markus Mohrhard 2012-01-08 10:32:44 UTC
http://cgit.freedesktop.org/libreoffice/core/commit/?id=baed170c416fd5bcae4d17362f0efd0e6284efdc 

But please don't reopen fixed bugs. That causes unnecessary work for all of us and if you need the commit mail the author directly or use http://cgit.freedesktop.org/libreoffice/core/log/ and search for the bug id.